package gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import gui.*;

class MainToolBar extends JToolBar
{
	SimWinMgr simWinMgr;

	JButton bFileNew;
	JButton bFileOpen;
	JButton bFileClose;
	JButton bFileExit;
	JButton bSimulationStep;
	JButton bSimulationGoTo;
	JButton bHelpAbout;

	public MainToolBar(SimWinMgr swMgr)
	{
		simWinMgr = swMgr;
		ToolBarItemListener tbil = new ToolBarItemListener();

		JButton bFileNew = new JButton("New");
		JButton bFileOpen = new JButton("Open");
		JButton bFileClose = new JButton("Close");
		JButton bFileExit = new JButton("Exit");
		JButton bSimulationStep = new JButton("Step");
		JButton bSimulationGoTo = new JButton("Go To");
		JButton bHelpAbout = new JButton("About");

		bFileNew.addActionListener(tbil);
		bFileOpen.addActionListener(tbil);
		bFileClose.addActionListener(tbil);
		bFileExit.addActionListener(tbil);
		bSimulationStep.addActionListener(tbil);
		bSimulationGoTo.addActionListener(tbil);
		bHelpAbout.addActionListener(tbil);

		add(bFileNew);
		add(bFileOpen);
		add(bFileClose);
		add(bFileExit);
		addSeparator();
		add(bSimulationStep);
		add(bSimulationGoTo);
		addSeparator();
		add(bHelpAbout);
	}

	class ToolBarItemListener implements ActionListener
	{
		public void actionPerformed(ActionEvent e)
		{
			JButton button = (JButton)e.getSource();
			if(button == bFileNew)
			{
			}
			else if(button == bFileClose)
			{
				simWinMgr.closeCurrentSimulationWindow();
			}
			else if(button == bFileExit)
			{
				if(simWinMgr.exit())
				{
					System.exit(0);
				}
			}
		}
	}
}
