package parsers.CPA;

import parsers.CPA.*;

class CellTransition
{
	ChemicalConditionList CCList;
	boolean isCellDivision;
	CellDivision division;
	CellStateChange stateChange;

	CellTransition (ChemicalConditionList p_CCList, CellDivision p_Division)
	{
		isCellDivision = true;
		CCList = p_CCList;
		division = p_Division;
	}

	CellTransition (ChemicalConditionList p_CCList, CellStateChange p_Change)
	{
		isCellDivision = false;
		CCList = p_CCList;
		stateChange = p_Change;
	}

	ChemicalConditionList getChemicalConditionList()
	{
		return CCList;
	}

	CellDivision getCellDivision()
	{
		return division;
	}

	CellStateChange getCellStateChange()
	{
		return stateChange;
	}

	public String toString ()
	{
		if(isCellDivision)
		{
			return CCList.toString() + " -> " + division.toString();
		}
		else
		{
			return CCList.toString() + " -> " + stateChange.toString();
		}
	}
}
