package util;

import java.util.*;
import parsers.CPA.*;

public class ChemicalCondition
{
	private String chemical;
	private float lowerBound;
	private float upperBound;

	public ChemicalCondition (String p_chem, float p_lb, float p_ub)
	{
		chemical = p_chem;
		lowerBound = p_lb;
		upperBound = p_ub;
	}

	public ChemicalCondition(ChemicalCondition cc)
	{
		chemical = cc.getChemical();
		lowerBound = cc.getLowerBound();
		upperBound = cc.getUpperBound();
	}

	public String getChemical() { return new String(chemical); }

	public float getLowerBound() { return lowerBound; }

	public float getUpperBound() { return upperBound; }

	public void setChemical(String p_chem) { chemical = p_chem; }

	public void setLowerBound(float p_lb) { lowerBound = p_lb; }

	public void setUpperBound(float p_ub) { upperBound = p_ub;	}

	public int compareTo(ChemicalConcentration conc)
	{
		if(!conc.getChemical().equals(chemical))
			return -2;
		if(conc.getConcentration() > upperBound)
			return -1;
		else if (conc.getConcentration() < lowerBound)
			return 1;
		else
			return 0;
	}

	public String toString ()
	{
		return new String ( "(" + lowerBound + "<=" + chemical + upperBound + ")" ) ;
	}
}
